## filterRuby-0.2.tar.gz

=== benchmark/Makefile ===
CFLAGS=-Wall -W -O6
LDFLAGS=-lgmp

all: bmark1-c bmark2-c

=== debian/changelog ===
libgmp-ruby (1.0) unstable; urgency=low

  * packaged into .deb.

 -- Tomasz Wegrzanowski <taw@users.sf.net>  Fri, 22 Aug 2003 02:12:12 +0200

=== debian/control ===
Source: libgmp-ruby
Section: interpreters
Priority: optional
Maintainer: Tomasz Wegrzanowski <taw@users.sf.net>
Build-Depends: debhelper, libgmp3-dev, ruby (>= 1.6.4), ruby-dev (>= 1.6.4)
Standards-Version: 3.2.1

Package: libgmp-ruby
Architecture: any
Depends: ${shlibs:Depends}
Description: Ruby module providing an interface to GMP
 Provides Ruby interface to very fast library for computations
 on arbitrary precision integer and floating point numbers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; -*-
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

destdir  := $(shell echo `pwd`/debian/tmp)
libdir   := $(shell ruby -r rbconfig -e 'print Config::CONFIG["libdir"]')
archdir  := $(shell ruby -r rbconfig -e 'print Config::CONFIG["archdir"]')
pkg_name := $(shell basename `pwd` | sed -e 's/^\(.*\)-[^-]*$$/\1/')

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	ruby extconf.rb
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(MAKE) distclean
	-rm -f debian/dirs

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	(echo $(libdir); \
	 echo $(archdir); \
	 echo usr/share/doc/$(pkg_name); \
	) > debian/dirs
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) prefix=`pwd`/debian/tmp/usr install
	#$(MAKE)  libdir=$(destdir)$(libdir)  \
	#        archdir=$(destdir)$(archdir) install
	$(MAKE) DESTDIR=$(destdir) install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	#install -d $(destdir)/usr/share/doc/$(pkg_name)/examples
	#(cd example && tar cf - cgi) | \
	#  (cd $(destdir)/usr/share/doc/$(pkg_name)/examples && tar xvf -)
	#tar cf - test | \
	#  (cd $(destdir)/usr/share/doc/$(pkg_name)/examples && tar xvf -)
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
#	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress -X.rb
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
